org.apache.lucene.document

## Class IntRangeDocValuesField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.BinaryDocValuesField
    - - org.apache.lucene.document.IntRangeDocValuesField

All Implemented Interfaces:
  IndexableField

    public class IntRangeDocValuesField
    extends BinaryDocValuesField

DocValues field for IntRange. This is a single valued field per document due to being an extension of BinaryDocValuesField.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Store`

### Field Summary

### Fields inherited from class org.apache.lucene.document.BinaryDocValuesField

`TYPE`

### Fields inherited from class org.apache.lucene.document.Field

`fieldsData, name, tokenStream, type`

### Constructor Summary

Constructors
Constructor and Description
`IntRangeDocValuesField(String field, int[] min, int[] max)` Sole constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getMax(int dimension)` Get the maximum value for the given dimension.
`int` `getMin(int dimension)` Get the minimum value for the given dimension.
`static Query` `newSlowIntersectsQuery(String field, int[] min, int[] max)` Create a new range query that finds all ranges that intersect using doc values.

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, fieldType, getCharSequenceValue, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntRangeDocValuesField

    public IntRangeDocValuesField(String field,
                                  int[] min,
                                  int[] max)

Sole constructor.

### Method Detail

#### getMin

    public int getMin(int dimension)

Get the minimum value for the given dimension.

#### getMax

    public int getMax(int dimension)

Get the maximum value for the given dimension.

#### newSlowIntersectsQuery

    public static Query newSlowIntersectsQuery(String field,
                                               int[] min,
                                               int[] max)

Create a new range query that finds all ranges that intersect using doc values. NOTE: This doesn't leverage indexing and may be slow.

See Also:
  `IntRange.newIntersectsQuery(java.lang.String, int[], int[])`